<template>
  <div class="app-container">
    <transition name="el-zoom-in-center">
      <check-report-list v-if="options.showList" @showCard="showCard" />
    </transition>
    <transition name="el-zoom-in-bottom">
      <check-report-structure v-if="options.showDetail" :data="options.data" @showCard="showCard" />
    </transition>
  </div>
</template>

<script>
  import CheckReportList from './CheckReportList'
  import CheckReportStructure from './CheckReportStructure'

  export default {
    name: 'CheckReport',
    components: { CheckReportList, CheckReportStructure },
    data() {
      return {
        options: {
          data: {},
          showList: true
        }
      }
    },
    methods: {
      showCard(data) {
        console.log('ffffffffff', data)
        Object.assign(this.options, data)
      }
    }
  }
</script>

<style lang="scss" scoped>

</style>
